I am getting segmentation fault while running xtrabackup with MySQL 5.6 version

here are the details of RPM’s and percona xtrabackup version i am using in my server:

[mysql@trprtelgldb3 db01]$ innobackupex --user=backup --password=******** --use-memory=500M /db01/

InnoDB Backup Utility v1.5.1-xtrabackup; Copyright 2003, 2009 Innobase Oy
and Percona LLC and/or its affiliates 2009-2013. All Rights Reserved.

This software is published under
the GNU GENERAL PUBLIC LICENSE Version 2, June 1991.

Get the latest version of Percona XtraBackup, documentation, and help resources:
http://www.percona.com/xb/p

150130 22:57:50 innobackupex: Connecting to MySQL server with DSN ‘dbi:mysql:;mysql_read_default_group=xtrabackup’ as ‘backup’ (using password: YES).
150130 22:57:50 innobackupex: Connected to MySQL server
150130 22:57:50 innobackupex: Executing a version check against the server…
Segmentation fault
[mysql@trprtelgldb3 db01]$ rpm -qa | grep -i mysql
MySQL-server-5.6.19-1.rhel5
MySQL-shared-5.6.19-1.rhel5
perl-DBD-MySQL-3.0007-2.el5
MySQL-shared-compat-5.6.19-1.rhel5
MySQL-client-5.6.19-1.rhel5
[mysql@trprtelgldb3 db01]$ uname -a
Linux trprtelgldb3.intra.searshc.com 2.6.18-274.18.1.el5xen #1 SMP Thu Feb 9 13:27:02 EST 2012 x86_64 x86_64 x86_64 GNU/Linux
[mysql@trprtelgldb3 db01]$ rpm -qa | grep -i percona
percona-xtrabackup-2.2.8-5059.el5


[mysql@trprtelgldb3 db01]$ rpm -qa | grep -i mysql
MySQL-server-5.6.19-1.rhel5
MySQL-shared-5.6.19-1.rhel5
perl-DBD-MySQL-3.0007-2.el5
MySQL-shared-compat-5.6.19-1.rhel5
MySQL-client-5.6.19-1.rhel5
[mysql@trprtelgldb3 db01]$ uname -a
Linux trprtelgldb3.intra.searshc.com 2.6.18-274.18.1.el5xen #1 SMP Thu Feb 9 13:27:02 EST 2012 x86_64 x86_64 x86_64 GNU/Linux
[mysql@trprtelgldb3 db01]$ rpm -qa | grep -i percona
percona-xtrabackup-2.1.7-721.rhel5

[mysql@trprtelgldb3 ~]$ innobackupex --user=backup --password=******** --use-memory=500M /db01/

InnoDB Backup Utility v1.5.1-xtrabackup; Copyright 2003, 2009 Innobase Oy
and Percona LLC and/or its affiliates 2009-2013. All Rights Reserved.

This software is published under
the GNU GENERAL PUBLIC LICENSE Version 2, June 1991.

Get the latest version of Percona XtraBackup, documentation, and help resources:
http://www.percona.com/xb/p

150130 23:01:23 innobackupex: Connecting to MySQL server with DSN ‘dbi:mysql:;mysql_read_default_group=xtrabackup’ as ‘backup’ (using password: YES).
150130 23:01:23 innobackupex: Connected to MySQL server
150130 23:01:23 innobackupex: Executing a version check against the server…
Segmentation fault

Please let me know in fixing this issue.

Hi,

It seems, its crashes while checking version against the server.

150130 23:01:23 innobackupex: Executing a version check against the server…
Segmentation fault

Can you please try to run it with option?
http://www.percona.com/doc/percona-xtrabackup/2.2/innobackupex/innobackupex_option_reference.html#cmdoption-innobackupex–no-version-check

Btw: which xtrabackup version you are using? (i.e xtrabackup --version) , I dont remember but there was one bug related to this in older version. I would suggest to use latest version of xtrabackup. Also you issue is related to this bug too but I’m not sure.
https://bugs.launchpad.net/percona-server/+bug/1255451